Get Cycle
curl --request GET \
--url https://api.example.com/api/v1/teams/{team_id}/cycle \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/teams/{team_id}/cycle"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/teams/{team_id}/cycle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cycle": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"duration_type": "<string>",
"duration_days": 123,
"start_anchor": "<string>",
"custom_start_date": "2023-12-25",
"timezone": "<string>",
"phases": [
{}
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"loops": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cycle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_loop_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "<string>",
"schedule_type": "<string>",
"cadence": {},
"task_type": "<string>",
"task_template": {},
"priority": "<string>",
"sort_order": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content_source": {
"source_url": "<string>",
"source_type": "<string>",
"include_tags": [
"<string>"
],
"exclude_tags": [
"<string>"
],
"max_age_days": 2
}
}
],
"signals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cycle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emitter_loop_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiver_loop_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signal_name": "<string>",
"action": "<string>",
"delay_minutes": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"active_instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cycle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_number": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"current_phase": "<string>",
"status": "<string>",
"metrics": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}LoopOps
Get Cycle
GET
/
api
/
v1
/
teams
/
{team_id}
/
cycle
Get Cycle
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Full cycle view: cycle definition + loops + signals + active instance.
Was this page helpful?
⌘I